"""**********************************************************************
  DLMS/COSEM components

  i-cube, 1376 Goumoens-la-Ville, Switzerland
          infos@icube.ch

 (C)Copyright 2004-2012
**********************************************************************
"""

class EzHdlcExceptionKind(object):
        """ EzHdlc exception  kinds.
        """
        COMM = "COMM"
        TCP = "TCP"
        HDLC = "HDLC"
        IEC = "IEC"
        Frame = "Frame"
        Trial = "Trial"
        Other = "Other"
 
class EzHdlcException(Exception):
    """EzHdlc exception."""
    
    def __init__(self, message, kind):
        """
            @param kind: EzHdlcExceptionKind
        """
        self.Kind = kind
        super(EzHdlcException, self).__init__("%s: %s" % ( kind, message) )
        
    
if __name__ == '__main__':
    raise EzHdlcException("test", EzHdlcExceptionKind.COMM)
