#!/usr/bin/env python

"""**********************************************************************
  DLMS/COSEM components

  i-cube, 1376 Goumoens-la-Ville, Switzerland
          infos@icube.ch

 (C)Copyright 2004-2012
**********************************************************************

"""

import binascii
import struct

class Utils(object):
    
    @classmethod
    def bytes_to_hex_string(cls, bytes_):
        """Converts a byte array to an hex string
            @param bytes_: byte[]
            @return: string
        """
        _str = ""
        for _b in bytes_:
            _str += '%02X' % _b
        return _str

    @classmethod
    def hex_string_to_bytes(cls, str_):
        """Converts an hex string to a byte array.
            @param str_: string
            @return: byte[]
        """
        _stream = binascii.unhexlify(str_)
        _bytes = struct.unpack(len(_stream)*"B", _stream)
        return _bytes

if __name__ == "__main__":
    _b = Utils.hex_string_to_bytes("C3028144332211")
    print _b

    
        